/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.metamodelapi.entitytype;

import com.sun.ts.lib.util.TestUtil;
import com.sun.ts.tests.jpa.core.metamodelapi.identifiabletype.Address;

import javax.persistence.CollectionTable;
import javax.persistence.ElementCollection;
import javax.persistence.JoinColumn;
import javax.persistence.MappedSuperclass;
import java.util.*;


@MappedSuperclass()
public abstract class B implements java.io.Serializable {

    protected String name;


    public B() {
    }

    public B(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
